# 서비스

***

## **서비스 상세**

#### **(1) 인터페이스 설명**

* URL: https\://{domain}.oc.nhncloud.com/{serviceId}/api/v2/service.json

<table data-full-width="false"><thead><tr><th width="140">인터페이스 명</th><th width="92">프로토콜</th><th width="90">호출방식</th><th width="84">인코딩</th><th width="94">결과 형식</th><th width="272">인터페이스 설명</th><th>접근제한 여부</th></tr></thead><tbody><tr><td>서비스 상세</td><td>HTTPS</td><td>GET</td><td>UTF-8</td><td>JSON</td><td>서비스 ID를 통해 서비스 정보 조회</td><td>필요 없음</td></tr></tbody></table>

***

#### **(2) 요청 파라미터 정의**

<table><thead><tr><th width="119">명칭</th><th width="100">변수</th><th width="111">데이터 타입</th><th width="100">변수 유형</th><th width="63">필수</th><th>설명</th></tr></thead><tbody><tr><td>서비스 ID</td><td>serviceId</td><td>String</td><td>path</td><td>O</td><td>서비스 ID，URL PATH 내에 설정한{serviceId}</td></tr></tbody></table>

***

#### **(3) 결과 데이터**

<table><thead><tr><th width="164">명칭</th><th width="186">변수</th><th width="131">데이터 타입</th><th>설명</th></tr></thead><tbody><tr><td><strong>result.content</strong></td><td>serviceId</td><td>String</td><td>서비스 ID</td></tr><tr><td></td><td>name</td><td>String</td><td>서비스명</td></tr><tr><td></td><td>profile</td><td>String</td><td>서비스 배경 이미지</td></tr><tr><td></td><td>language</td><td>String</td><td>서비스 기본 언어 코드</td></tr><tr><td></td><td>languages</td><td>Array</td><td>서비스 언어 리스트</td></tr><tr><td></td><td>languages.code</td><td>String</td><td>언어 코드</td></tr><tr><td></td><td>languages.name</td><td>String</td><td>언어 명칭</td></tr><tr><td></td><td>languages.orderNo</td><td>Integer</td><td>언어 노출 순서</td></tr><tr><td></td><td>multiLanguage</td><td>Boolean</td><td>서비스 다국어 여부,<br>값(true: 다국어, false: 단일 언어)</td></tr></tbody></table>

***

#### **(4) Response Body**

```json
{
    "header": {
        "resultCode": 200,
        "resultMessage": "",
        "isSuccessful": true
    },
    "result": {
        "content": {
            "serviceId": "APISample",
            "name": "APISample",
            "profile": {
                "fileUrl": "https://api-storage.cloud.nhncloud.com/v1/AUTH_226f908c769e48b0bad7d32f9a91717f/service_alpha/WopqM8euoYw89B7i/27316eba2a8a4089b72a9cf18a83e144.png"
            },
            "language": "ko",
            "languages": [
                {
                    "code": "ko",
                    "name": "한국어",
                    "orderNo": 0
                },
                {
                    "code": "ja",
                    "name": "日本語",
                    "orderNo": 1
                },
                {
                    "code": "en",
                    "name": "English",
                    "orderNo": 2
                },
                {
                    "code": "zh",
                    "name": "中文",
                    "orderNo": 3
                },
                {
                    "code": "th",
                    "name": "ไทย",
                    "orderNo": 4
                }
            ],
            "multiLanguage": true
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.contiple.com/api/open-api/service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
